{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}

    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>
    {#    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick-theme.css') }}"/>#}

{% endblock %}

{% block body %}
    {% set pelFav = [{"mapel": "Fisika"}, {"mapel": "Kimia"}, {"mapel": "Matematika"}] %}
    {% set gurus = [
        {"foto": "images/common/profile-ex.png", "nama": "Si Bagus Yanuar", "isPro": true, "rating" : 4, "deskripsi": "guru ini adalah guru yang bangsat", "harga": "Rp 50.000/jam"},
        {"foto": "images/common/profile-ex.png", "nama": "Si Juh", "isPro": false, "rating" : 4, "deskripsi": "guru ini adalah guru yang bangsat", "harga": "Rp 50.000/jam"},
        {"foto": "images/common/profile-ex.png", "nama": "Si Bagus Yanuar", "isPro": true, "rating" : 4, "deskripsi": "guru ini adalah guru yang bangsat", "harga": "Rp 50.000/jam"},

    ] %}

    {% set testimonis = [
        {"foto": "images/common/profile-ex.png", "namaGuru": "Si Bagus Yanuar", "statusGuru":"Guru SMA 5" , "testi": "guru ini adalah guru yang bangsat", "namaSiswa": "Pradana", "waktu": "Kemarin 19.25"},
        {"foto": "images/common/profile-ex.png", "namaGuru": "Si Bagus Yanuar", "statusGuru":"Guru SMA 5" , "testi": "guru ini adalah guru yang bangsat", "namaSiswa": "Pradana", "waktu": "Kemarin 19.25"},
        {"foto": "images/common/profile-ex.png", "namaGuru": "Si Bagus Yanuar", "statusGuru":"Guru SMA 5" , "testi": "guru ini adalah guru yang bangsat", "namaSiswa": "Pradana", "waktu": "Kemarin 19.25"},

    ] %}

    {% embed 'siswa/mainBar.html.twig' %}
        {% set menu = true %}
    {% endembed %}
    {#    KETERANGAN PAGE#}
    <section class="b-primary r-bottom" style="padding-bottom: 50px">
        <h2 class="text-white text-center pt-3 f14 pl-2 pr-2">Temukan Guru Les Privat Dari Kota {{ city.getCityName() }}</h2>

    </section>
        <section class=" mr-3 ml-3 " style="margin-top: -40px">
            <div class="gen-card p-4">
                <div class="gen-pilihan">
                    <a class="label">Mata Pelajaran</a>
                    <div class="content">
                        <i class="icon fa fa-book"></i>
                        <a id="category" data-category="{{ category != null ? category.getId() : null }}" class="isi"
                           data-toggle="modal"
                           data-target="#modalPencarianPelajaran">{{ category != null ? category.getName() : '' }}</a>
                    </div>
                    <hr>
                </div>

                <div class="gen-pilihan">
                    <a class="label">Metode Belajar</a>
                    <div class="content">
                        <div class="d-flex w-100 mt-3 mb-3">
                            <input class="checkbox-jam w-100 method" type="radio" name="jenis" id="offline"
                                   value="1"
                                   onclick="" checked>
                            <label class="for-checkbox-jam w-100 flex-grow-1" for="offline">
                                Tatap Muka
                            </label>
                            <input class="checkbox-jam w-100 method" type="radio" name="jenis" value="2"
                                   id="online"
                                   onclick="">
                            <label class="for-checkbox-jam w-100 flex-grow-1" for="online">
                                Online
                            </label>
                        </div>
                        <hr>

                    </div>
                </div>
                <div class="gen-pilihan panel-location">
                    <a class="label">Lokasi Belajar</a>
                    <div class="content">
                        <i class="icon fa fa-map-marker"></i>

                        <a id="district" class="isi" data-toggle="modal" data-target="#modalPencarianLokasi">Dekat
                            Saya</a>
                    </div>
                    <hr>
                </div>

                <div class="gen-pilihan">
                    <a class="label">Pertemuan Pertama</a>
                    <div class="content">
                        <i class="icon fa fa-calendar"></i>
                        <a id="pencarianTanggal" data-meet="{{ vFirstMeet }}" class="isi" data-toggle="modal"
                           data-target="#modalPencarianTanggal">{{ firstMeet }}</a>
                    </div>
                    <hr>
                </div>

                <div class="gen-pilihan">


                    <a id="find-tentor" class="btn bt-accent w-100 mt-1">Cari Guru Les Privat</a>
                    <a id="auto-find-tentor" class="btn bt-outline-accent w-100 mt-3">Carikan Guru Untuk Saya</a>

                </div>
            </div>
        </section>

    {#    PELAJARAN FAVORIT#}
    <section>
        <p class="title-section">Pelajaran Favorit</p>

        <div class="common mapel-favorite">
            {% for pel in pelFav %}
                <a class="d-block">
                    <div class="gen-card-promo p-3" style="height: 8rem !important;"><p class="t-black text-center text-white">{{ pel.mapel }}</p></div>
                </a>
            {% endfor %}
        </div>

    </section>

    {# SEARCH RESULT #}
    <section class="container-fluid">
        <p class="title-section">Guru Les Privat Bidang Umum Pilihan Kami</p>
        {% for guru in gurus %}
        <div class="gen-card-guru">
            <div class="content-guru">
                <div class="gambar-div">
                    <img src="{{ guru.foto }}" alt="">
                </div>
                <div class="data-div">
                    <div class="nama-div">
                        <p class="nama"> {{ guru.nama }}Angel Edwards</p>
                        {% if(guru.isPro) %}
                            <a class="pro">PRO</a>
                        {% endif %}
                    </div>
                    <div class="star-div">
                        <i class="fa fa-star"></i>
                        <i class="fa fa-star"></i>
                        <i class="fa fa-star"></i>
                        <i class="fa fa-star"></i>
                        <i class="fa fa-star"></i>
                    </div>
                    <p class="deskripsi mb-3">{{ guru.deskripsi }}</p>
                </div>
            </div>
{#            <div class="area-div">#}
{#                <a class="area bt-outline-grey-a">#}
{#                    Kec. Serengan#}
{#                </a>#}
{#                <a class="area bt-outline-grey-a">#}
{#                    Kec. Laweyan#}
{#                </a>#}
{#            </div>#}
            <div class="button-div">
                <a class="button" style="">{{ guru.harga }}</a>
            </div>
        </div>
        {% endfor %}
    </section>

    <section class="container-fluid">
        <p class="title-section">Apa itu Teman Belajar?</p>
        <p class="f10 text-center">Teman Belajar adalah aplikasi belajar dengan konsep <b>hybrid learning</b> dimana
            siswa dapat memesan guru les privat dan mengikuti tryout online.</p>
    </section>

    <section class="container-fluid">
        <div class="gen-card-carakerja">

            <p class="title-section text-white" style="font-size: 1.2rem;">
                Bagaimana Cara Kerjanya?
            </p>

            <div class="content">
                <div class="icon" style="display: flex; flex-direction: column">
                    <i class=" fa fa-search"></i>
                </div>
                <div>
                    <p class="title">Temukan</p>
                    <p class="isi">Ada banyak pilihan guru les privat yang dapat kamu temukan di Teman Belajar. </p>
                </div>
            </div>

            <div class="content">
                <i class="icon fa fa-tag"></i>
                <div>
                    <p class="title">Pesan</p>
                    <p class="isi">Pesan guru les privat pilihanmu. </p>
                </div>
            </div>

            <div class="content">
                <i class="icon fa fa-check"></i>
                <div>
                    <p class="title">Guru Menerima Pesanan</p>
                    <p class="isi">Tunggu guru mengkonfirmasi pesananmu. </p>
                </div>
            </div>

            <div class="content">
                <i class="icon fa fa-credit-card"></i>
                <div>
                    <p class="title">Bayar</p>
                    <p class="isi">Lakukan pembayaran ke rekening yang telah disediakan oleh Teman Belajar. </p>
                </div>
            </div>

            <div class="content">
                <i class="icon fa fa-heart"></i>
                <div>
                    <p class="title">Les</p>
                    <p class="isi">Nikmati belajar kamu bersama guru les privat pilihan. </p>
                </div>
            </div>
        </div>

    </section>

    {#    DIPERCAYA#}
    <section class="container-fluid">
        <p class="title-section">Teman Belajar Telah Dipercaya Oleh</p>

        <div class="row">
            <div class="col-6">
                <p class="f24 text-center mb-0">200</p>
                <p class="text-center">SISWA</p>
            </div>

            <div class="col-6">
                <p class="f24 text-center mb-0">200</p>
                <p class="text-center">GURU</p>
            </div>
        </div>
    </section>

    {#    JANGKAUAN#}
    <section class="container-fluid">
        <p class="title-section">Jangkauan Layanan Kami</p>
        <div class="d-flex flex-wrap justify-content-center">
            <a class="bt-primary mr-2 mb-2" style="padding: 10px 20px">Solo</a>
            <a class="bt-primary mr-2 mb-2" style="padding: 10px 20px">Semarang</a>
            <a class="bt-primary mb-2" style="padding: 10px 20px">Yogyakarta</a>
        </div>
    </section>

    {#    ULASAN SISWA#}
    <section class="container-fluid">
        <p class="title-section">Ulasan Siswa</p>

        {% for testi in testimonis %}
        <div class="mb-5">
            <div class="header-profile">
                <div class="gambar-div">
                    <img src="{{ asset(testi.foto) }}"
                         alt="{{ asset(testi.foto) }}">
                </div>

                <div class="content">
                    <p class="title">{{testi.namaGuru}}</p>
                    <p class="subtitle">{{testi.statusGuru}}</p>
                </div>
            </div>

            <div class="ulasan">
                <div class="star-div">
                    <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                </div>
                <div class="nama-div">
                    <p class="nama">{{testi.namaSiswa}}</p>
                    <p class="timne">{{ testi.waktu }}</p>
                </div>
                <p class="isi">“{{ testi.testi }}”</p>
            </div>
        </div>
{% endfor %}
    </section>

    {#    GURU PROFESIONAL#}
    <section class="container-fluid mb-4">
        <p class="title-section">Temukan Guru Professional Dari</p>
        <div class="logo-div">
            <img class="logo" src="{{ asset('images/common/campus/itb.png') }}"
                 alt="{{ asset('images/common/campus/itb.png') }}">
            <img class="logo" src="{{ asset('images/common/campus/ugm.png') }}"
                 alt="{{ asset('images/common/campus/ugm.png') }}">
            <img class="logo" src="{{ asset('images/common/campus/ui.png') }}"
                 alt="{{ asset('images/common/campus/ui.png') }}">
            <img class="logo" src="{{ asset('images/common/campus/uns.png') }}"
                 alt="{{ asset('images/common/campus/uns.png') }}">
            <img class="logo" src="{{ asset('images/common/campus/uny.png') }}"
                 alt="{{ asset('images/common/campus/uny.png') }}">
        </div>
    </section>

    {#    DILIPUT OLEH#}
    <section class="container-fluid mb-4">
        <p class="title-section">Telah Diliput Oleh</p>
        <div class="logo-div">
            <img class="logo" style="height: 1.5em" src="{{ asset('images/common/media/tribunsolo.png') }}"
                 alt="{{ asset('images/common/media/tribunsolo.png') }}">
            <img class="logo" style="height: 1.5em" src="{{ asset('images/common/media/solopos.png') }}"
                 alt="{{ asset('images/common/media/solopos.png') }}">
        </div>
    </section>

    {# PENGHARGAAN #}
    <section class="container-fluid mb-4">
        <p class="title-section">Menerima Penghargaan Dari</p>
        <div class="logo-div">
            <img class="logo" src="{{ asset('images/common/penghargaan/ristekdikti.png') }}"
                 alt="{{ asset('images/common/penghargaan/ristekdikti.png') }}">
            <img class="logo" src="{{ asset('images/common/penghargaan/solo.png') }}"
                 alt="{{ asset('images/common/penghargaan/solo.png') }}">
            <img class="logo" src="{{ asset('images/common/penghargaan/Mikti.png') }}"
                 alt="{{ asset('images/common/penghargaan/Mikti.png') }}">

        </div>
    </section>

    {# PEMBAYARAN #}
    <section class="container-fluid mb-4">
        <p class="title-section">Partner Pembayaran</p>
        <div class="logo-div">
            <img class="logo" style="height: 1.4em" src="{{ asset('images/common/bank/b-bca.png') }}"
                 alt="{{ asset('images/common/bank/b-bca.png') }}">
            <img class="logo" style="height: 1.4em" src="{{ asset('images/common/bank/b-bni.png') }}"
                 alt="{{ asset('images/common/bank/b-bni.png') }}">
            <img class="logo" style="height: 1.4em" src="{{ asset('images/common/bank/b-mandiri.png') }}"
                 alt="{{ asset('images/common/bank/b-mandiri.png') }}">
            <img class="logo" style="height: 1.4em" src="{{ asset('images/common/bank/b-bri.png') }}"
                 alt="{{ asset('images/common/bank/b-bri.png') }}">

        </div>
    </section>

    {# Mendaftar guru? #}
    <section class="container-fluid mb-4">
        <p class="title-section">Punya Keahlian Mengajar?</p>
        <p class="text-center">Kami memiliki visi untuk membantu meningkatkan kesejahteraan tenaga pendidik dan
            pendidikan di Indonesia</p>
        <a class="bt-primary d-block" style="width: 100%" href="https://teman-belajar.com/jadi-guru/">Daftar Jadi Guru</a>
    </section>

    {% embed 'siswa/footer.twig' %}
    {% endembed %}
{% endblock %}

{% block JSMore %}
    <script type="text/javascript" src="{{ asset('vendor/slick/slick.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>

    <script>
        $(document).ready(function () {
            $('.mapel-favorite').slick({
                arrows: false,
                centerMode: true,
                centerPadding: '10%',
                infinite: true,
                slidesToShow: 4,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            infinite: true,
                            centerPadding: '10%',
                            slidesToShow: 3
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            mobileFirst: true,
                            infinite: true,
                            centerPadding: '10%',
                            slidesToShow: 2
                        }
                    }
                ]
            });
        });
    </script>

{% endblock %}